%define name phpMyAdmin
%define version 2.5.0
%define version2 php
%define release 1rh
%define webadminroot /var/www/html/admin

Summary:	PhpMyAdmin is intended to handle the adminstration of MySQL over the web.
Name:		%{name}
Version:	%{version}
Release:	%{release}
Source0:	http://prdownloads.sourceforge.net/phpmyadmin/phpMyAdmin/%{name}-%{version}-%{version2}.tar.bz2
Source1:	phpMyAdmin.conf
Patch0:		phpMyAdmin-use-cookie-in-config.patch.bz2
License:	GPL
Url:		http://www.phpmyadmin.net
Group:		System/Servers
BuildRoot:	%{_tmppath}/%{name}-buildroot
Requires:	httpd mysql-server php php-mysql
BuildArch:	noarch
Prefix:		%{webadminroot}

%description
phpMyAdmin is intended to handle the adminstration of MySQL over the web.
Currently it can : create and drop databases, create, copy, drop and alter
tables, delete, edit and add fields, execute any SQL-statement, even
batch-queries, manage keys on fields, load text files into tables, create and
read dumps of tables, export data to CSV value, administer multiple servers and
single databases.

%prep
%setup -q
%patch0 -p1

%build

# clean up CVS stuff
for i in `find . -type d -name CVS` `find . -type f -name .cvs\*` `find . -type f -name .#\*`; do
    if [ -e "$i" ]; then rm -r $i; fi >&/dev/null
done

# fix dir perms
find . -type d | xargs chmod 755

# fix file perms
find . -type f | xargs chmod 644

%install
install -d %{buildroot}/%{webadminroot}/%{name}
cp -aRf * %{buildroot}/%{webadminroot}/%{name}/
# Redirects access to be done via https
install -d %{buildroot}/etc/httpd/conf.d
cp -a %{SOURCE1} %{buildroot}/etc/httpd/conf.d/

%clean
[ "%{buildroot}" != "/" ] && rm -rf %{buildroot}

%files
%defattr(-,root,root)
%doc ANNOUNCE.txt CREDITS ChangeLog Documentation.* INSTALL README RELEASE-DATE-%version TODO
%config(noreplace) %attr(0644,root,root) %{webadminroot}/%{name}/config.inc.php
%{webadminroot}/%{name}/*
/etc/httpd/conf.d/

%post
# Need to restart the httpd server after install
echo "Restarting the httpd service"
/sbin/service httpd restart
echo "Please take a look at the /etc/httpd/conf.d/phpMyAdmin.conf file and make"
echo "sure that you want that feature"


%changelog
* Tue May 20 2003 John Villalovos <john@sodarock.com> 2.5.0-1rh
- ported to Red Hat
- Also make it use https:// for access via a redirect
- Restart the web server after installing so that the redirect will work

* Sun May 11 2003 Oden Eriksson <oden.eriksson@kvikkjokk.net> 2.5.0-1mdk
- 2.5.0
- misc spec file fixes

* Mon Feb 24 2003 Oden Eriksson <oden.eriksson@kvikkjokk.net> 2.4.0-1mdk
- 2.4.0

* Tue Jan 28 2003 Lenny Cartier <lenny@mandrakesoft.com> 2.3.2-4mdk
- rebuild

* Mon Jan 27 2003 Oden Eriksson <oden.eriksson@kvikkjokk.net> 2.3.2-3mdk
- build release

* Thu Nov 14 2002 Yves Duret <yves@zarb.org> 2.3.2-2mdk
- use cookie auth by default instead of password in plain config text
  ie. works out of box now (patch0).
- remove unusefull macros.
- fix doc file not found.

* Wed Oct 16 2002 Oden Eriksson <oden.eriksson@kvikkjokk.net> 2.3.2-1mdk
- new version

* Thu Sep 19 2002 Oden Eriksson <oden.eriksson@kvikkjokk.net> 2.3.0-2mdk
- misc spec file fixes
- install in common and relocatable %%{webadminroot}/ directory

* Mon Aug 12 2002 Oden Eriksson <oden.eriksson@kvikkjokk.net> 2.3.0-1mdk
- new version

* Fri Apr 22 2002 Christian Belisle <cbelisle@mandrakesoft.com> 2.2.6-1mdk
- new version
- updated URL

* Fri Apr  5 2002 Oden Eriksson <oden.eriksson@kvikkjokk.net> 2.2.5-1mdk
- new version

* Tue Mar 12 2002 Oden Eriksson <oden.eriksson@kvikkjokk.net> 2.2.4-1mdk
- update to 2.2.4.

* Fri Mar  1 2002 Daouda LO <daouda@mandrakesoft.com> 2.2.3-2mdk
- Requires: mod_php

* Sun Jan 06 2002 Christian Belisle <cbelisle@mandrakesoft.com> 2.2.3-1mdk
- update to 2.2.3.

* Sun Dec 2 2001 Oden Eriksson <oden.eriksson@kvikkjokk.net> 2.2.2-1mdk
- update to 2.2.2
- added url

* Thu Oct 29 2001 Christian Belisle <cbelisle@mandrakesoft.com> 2.2.1-2mdk
- Fixed typo in Requires.

* Thu Oct 25 2001 Christian Belisle <cbelisle@mandrakesoft.com> 2.2.1-1mdk
- 2.2.1.

* Fri Oct 19 2001 Christian Belisle <cbelisle@mandrakesoft.com> 2.2.0-2mdk
- Require php-Mysql.

* Fri Oct 19 2001 Christian Belisle <cbelisle@mandrakesoft.com> 2.2.0-1mdk
- 2.2.0.

* Tue Oct 16 2001 Christian Belisle <cbelisle@mandrakesoft.com> 2.1.0-3mdk
- Make rpmlint happier.

* Thu Aug 09 2001 Christian Belisle <cbelisle@mandrakesoft.com> 2.1.0-2mdk
- s/Copyright/License.
- s/BuildArchitectures/BuildArch.
- Added a require for MySQL.

* Tue Mar 06 2001 Gregory Letoquart <gletoquart@mandrakesoft.com> 2.1.0-1mdk
- first rpm distribution.

